resource_instance Struct Reference
Collaboration diagram for resource_instance:
[legend]

## Data Fields

const char * | icmap_path
const char * | name
corosync_timer_handle_t | timer_handle
void(* | update_stats_fn )(void *data)
struct cs_fsm | fsm
uint64_t | period
icmap_value_types_t | max_type
union { |
int32_t int32 |
double dbl |
} | max

## Detailed Description

Definition at line 82 of file mon.c.

## Field Documentation

## dbl

double resource_instance::dbl

Definition at line 92 of file mon.c.

## fsm

struct cs_fsm resource_instance::fsm

Definition at line 87 of file mon.c.

## icmap_path

const char* resource_instance::icmap_path

Definition at line 83 of file mon.c.

## int32

int32_t resource_instance::int32

Definition at line 91 of file mon.c.

## [union]

union { ... } resource_instance::max

## max_type

icmap_value_types_t resource_instance::max_type

Definition at line 89 of file mon.c.

## name

const char* resource_instance::name

Definition at line 84 of file mon.c.

## period

uint64_t resource_instance::period

Definition at line 88 of file mon.c.

## timer_handle

corosync_timer_handle_t resource_instance::timer_handle

Definition at line 85 of file mon.c.

## update_stats_fn

void(* resource_instance::update_stats_fn) (void *data)

Definition at line 86 of file mon.c.

The documentation for this struct was generated from the following file:

- mon.c